# Default values for starthelm.
# This is a YAML-formatted file.
# Declare variables to be passed into your templates.

replicaCount: 1

image:
  repository: bnkpoc/bnk-login
  tag: 1.1.4
  pullPolicy: Always

imagePullSecrets: []
nameOverride: ""
fullnameOverride: ""

env:
  JWT_SECRET: MySecretKey
  TOKEN_EXPIRE_TIME: 1200
  
service:
  type: ClusterIP
  port: 3001

ingress:
  enabled: true
  annotations:
    kubernetes.io/ingress.class: nginx
    # kubernetes.io/tls-acme: "true"
  hosts:
    - host: login-api.169.56.170.165.nip.io
      paths: [ "/" ]

  tls: []
  #  - secretName: chart-example-tls
  #    hosts:
  #      - chart-example.local

resources:
  # We usually recommend not to specify default resources and to leave this as a conscious
  # choice for the user. This also increases chances charts run on environments with little
  # resources, such as Minikube. If you do want to specify resources, uncomment the following
  # lines, adjust them as necessary, and remove the curly braces after 'resources:'.
  limits:
    cpu: 512m
    memory: 512Mi
  requests:
    cpu: 256m
    memory: 256Mi

nodeSelector: {}

tolerations: []

affinity: {}

########## dependency charts #########
db-mongodb:
  enabled: true
  mongodbRootPassword: passw0rd
  db:
    name: db-users
    collection: users    
    adminUser: dbadmin
    adminPassword: passw0rd
    nodeUser: admin
    nodePassword: passw0rd
  service:
    type: ClusterIP
    port: 27017
    externalIPs: [ "169.56.80.70" ]
  ingress:
    enabled: false
  persistence:
    nfs:
      server: 169.56.170.168
      path: /srv/nfs/mongodb-login-api
  livenessProbe:
    enabled: false
  readinessProbe:
    enabled: false
